| Home | Libraries | People | FAQ | More

## Struct template enable_up_ptr

boost::move_upd::enable_up_ptr

## Synopsis

    // In header: <boost/move/unique_ptr.hpp>

    template<typename T, typename FromPointer, typename ThisPointer,
             typename Type = bmupmu::nat>
    struct enable_up_ptr : public boost::move_upmu::enable_if_c< is_unique_ptr_convertible< bmupmu::is_array< T >::value, FromPointer, ThisPointer >::value, Type >
    {
    };